# Class CycleViewHandler

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.core.commands.AbstractHandler
org.eclipse.ui.internal.FilteredTableBaseHandler
org.eclipse.ui.internal.CycleViewHandler

All Implemented Interfaces:
  `IHandler, IHandler2, IExecutableExtension`

public class CycleViewHandler extends FilteredTableBaseHandler
This handler is used to switch between parts using the keyboard.

Replacement for CyclePartAction

Since:
  3.3

## Nested Class Summary

### Nested classes/interfaces inherited from class FilteredTableBaseHandler

`FilteredTableBaseHandler.FilteredTableItem`

## Field Summary

### Fields inherited from class FilteredTableBaseHandler

`commandBackward, commandForward, dialog, gotoDirection, page, result, window`

## Constructor Summary

Constructors
Constructor
Description
`CycleViewHandler()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`addExistingReference(List<IWorkbenchPartReference> refs, MPart part)`
Adds the `IWorkbenchPartReference` contained in part's transient data, if exists.
`protected ParameterizedCommand`
`getBackwardCommand()`
Get the backward command.
`protected ParameterizedCommand`
`getForwardCommand()`
Get the forward command.
`protected Object`
`getInput(WorkbenchPage page)`
Add all items to the dialog in the activation order
`protected String`
`getTableHeader(IWorkbenchPart activePart)`
Get TableHeader, return title for non-filtered lists.
`protected String`
`getWorkbenchPartReferenceText(WorkbenchPartReference ref)`
Returns the text for the given `WorkbenchPartReference`

### Methods inherited from class FilteredTableBaseHandler

`activate, addKeyListener, addKeyListener, addModifyListener, addMouseListener, addTraverseListener, cancel, clearTriggers, execute, getBackground, getBackwardTriggerSequences, getColumnLabelProvider, getCurrentItemIndex, getFilter, getForeground, getForwardTriggerSequences, getSelection, getTriggers, getWindow, isFiltered, keepOpen, ok, openDialog, setDialogLocation, setInitializationData, setLabelProvider, setMatcherString`

### Methods inherited from class AbstractHandler

`addHandlerListener, dispose, fireHandlerChanged, hasListeners, isEnabled, isHandled, removeHandlerListener, setBaseEnabled, setEnabled`

### Methods inherited from class EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface IHandler

`getHandlerLabel`

## Constructor Details

### CycleViewHandler

public CycleViewHandler()

## Method Details

### getInput

protected Object getInput(WorkbenchPage page)
Description copied from class: `FilteredTableBaseHandler`
Add all items to the dialog in the activation order

Specified by:
  `getInput` in class `FilteredTableBaseHandler`

### getWorkbenchPartReferenceText

protected String getWorkbenchPartReferenceText(WorkbenchPartReference ref)
Description copied from class: `FilteredTableBaseHandler`
Returns the text for the given `WorkbenchPartReference`

Overrides:
  `getWorkbenchPartReferenceText` in class `FilteredTableBaseHandler`

### addExistingReference

protected void addExistingReference(List<IWorkbenchPartReference> refs, MPart part)
Adds the `IWorkbenchPartReference` contained in part's transient data, if exists.

### getBackwardCommand

protected ParameterizedCommand getBackwardCommand()
Description copied from class: `FilteredTableBaseHandler`
Get the backward command.

Specified by:
  `getBackwardCommand` in class `FilteredTableBaseHandler`

### getForwardCommand

protected ParameterizedCommand getForwardCommand()
Description copied from class: `FilteredTableBaseHandler`
Get the forward command.

Specified by:
  `getForwardCommand` in class `FilteredTableBaseHandler`

### getTableHeader

protected String getTableHeader(IWorkbenchPart activePart)
Description copied from class: `FilteredTableBaseHandler`
Get TableHeader, return title for non-filtered lists. By default returns an empty String. Subclasses can use the active part to detect the type of object.

Overrides:
  `getTableHeader` in class `FilteredTableBaseHandler`
Parameters:
  `activePart` - may be used in overrides